Loading...
Searching...
No Matches
jwt_t Struct Reference
JWK, JWKS, JWS, JWE type

`#include <rhonabwy.h>`

## Data Fields

int | type
uint32_t | parse_flags
json_t * | j_header
json_t * | j_claims
jws_t * | jws
jwe_t * | jwe
jwa_alg | sign_alg
jwa_alg | enc_alg
jwa_enc | enc
unsigned char * | key
size_t | key_len
unsigned char * | iv
size_t | iv_len
jwks_t * | jwks_privkey_sign
jwks_t * | jwks_pubkey_sign
jwks_t * | jwks_privkey_enc
jwks_t * | jwks_pubkey_enc

## Field Documentation

## enc

jwa_enc jwt_t::enc

## enc_alg

jwa_alg jwt_t::enc_alg

## iv

unsigned char* jwt_t::iv

## iv_len

size_t jwt_t::iv_len

## j_claims

json_t* jwt_t::j_claims

## j_header

json_t* jwt_t::j_header

## jwe

jwe_t* jwt_t::jwe

## jwks_privkey_enc

jwks_t* jwt_t::jwks_privkey_enc

## jwks_privkey_sign

jwks_t* jwt_t::jwks_privkey_sign

## jwks_pubkey_enc

jwks_t* jwt_t::jwks_pubkey_enc

## jwks_pubkey_sign

jwks_t* jwt_t::jwks_pubkey_sign

## jws

jws_t* jwt_t::jws

## key

unsigned char* jwt_t::key

## key_len

size_t jwt_t::key_len

## parse_flags

uint32_t jwt_t::parse_flags

## sign_alg

jwa_alg jwt_t::sign_alg

## type

int jwt_t::type

The documentation for this struct was generated from the following file:

- include/rhonabwy.h